"""
* Aufgabe Team 3:
* ---------------
* Bestimmen Sie die Häufigkeit des Auftretens des Suchstrings 'pattern' 
* in den Zeichenketten 'html.title' bzw. 'html.body' und geben Sie die 
* ermittelten Häufigkeiten als Attribute des Objektes 'count' zurück.
"""

import DataFormat_Treffer
import DataFormat_HTML_Content

def analyze (html, pattern): 
    # Initialisierung
    count = DataFormat_Treffer.Treffer()
    count.titleMatches = 0
    count.bodyMatches = 0
    titlePos = 0
    bodypos = 0
    titelText = html.title
    bodyText = html.body
    
    # Verarbeitung <title>
    titlePos = titelText.find(pattern)
    while (titlePos > -1):
        count.titleMatches += 1
        titlePos = titelText.find(pattern, titlePos + 1)
    
    # Verarbeitung <body>
    bodyPos = bodyText.find(pattern)   
    while (bodyPos > -1):
        count.bodyMatches += 1
        bodyPos = bodyText.find(pattern, bodyPos + 1)          

    #DEBUGGING-Code
    print ("RESULT 'analyze():")
    print ("... count.titleMatches:", count.titleMatches)
    print ("... count.bodyMatches:", count.bodyMatches)
    print ()

    #Rückgabe
    return count
