"""
FileReader:
-----------
Liest den Inhalt einer Datei als (Quell-)Text aus.
"""

"""
* Aufgabe Team 1:
* ---------------
* Erweitere die Methode 'fileToString()' so, dass der Inhalt der übergebenen Datei 'f' 
* als Text in den String 'inhalt.txt' eingelesen und dann zurückgegeben wird. 
* Treten Fehler beim Dateihandling auf (z. B. Zugriffsfehler), ist die Variable 'inhalt.fehler'
* auf 'true' zu setzen.
"""


import DataFormat_Quelltext
import os

def fileToString (filepath, filename):

    # Initialisierung
    inhalt = DataFormat_Quelltext.Quelltext()
    
    # DEBUGGING-Code (Initialisiert das Programm mit default-Werten, die es Programm schon während der Entwicklung bedingt lauffähig machen.)
    inhalt.txt = "<html><head><title> Meine erste Hallo-Weit-Seite</title> </head> <body> Hallo Welt,<br/> Du wunderschöne, <font color=\"deeppink\">rosarote</font> Welt!</body></html>"

    # Verarbeitung (Datei öffnen und auslesen)
    inhalt.txt = ""
    os.chdir(filepath)
    datei = open(filename, "r")
    for line in datei:
        zeile = line.rstrip()
        inhalt.txt = inhalt.txt + " " + zeile
    
    # kürzere Variante: inhalt.txt = os.open(filename, os.O_RDONLY).read()
 
    # DEBUGGING-Code
    print("RESULT 'fileToString()':", inhalt.txt)
    print()
    
    # Rückgabe
    datei.close() 
    return inhalt


