"""
/**
 * Parser:
 * -------
 * Extrahiert aus übergebenem HTML-Quelltext den Inhalt von <title> und <body>
"""

"""
     * Aufgabe Team 2:
     * ---------------
     * Implementiere die Methode 'parse(String txt)'. Diese extrahiert den Inhalt der Tags <title> 
     * bzw. <body> aus dem übergebenen HTML-Quelltext 'txt' und schreibt diesen sodann in die 
     * Attribute 'content.title' bzw. 'content.body'.
     * Sollte der übergebene String 'txt' erkennbar keinen HTML-Quelltext enthalten, so 
     * ist die Variable 'content.keinHTML' auf 'true' zu setzen. 
"""

import DataFormat_HTML_Content

def parsing(txt):

    # Initialisierung
    content = DataFormat_HTML_Content.HTML_Content()
    content.body = ""
    content.title = ""
    content.keinHTML = False
    
    # DEBUGGING-Code: Belegt das Rückgabeobjekt 'inhalt' mit default-Werten,
    # die das Programm schon während der Entwicklung lauffähig bedingt machen.
    content.body = "Hallo Welt, Du wunderschöne, rosarote Welt!"
    content.title = "Meine erste Hallo-Welt-Seite"

    # <title> auslesen
    posA = txt.find("<title")
    posB = txt.find("</title", posA)
    if ((posA == -1) or (posB == -1)):
            content.keinHTML = True
    else:
        posA1 = txt.find(">", posA) + 1
        content.title = txt[posA1 : posB]
        
    # <body> auslesen
    pos1 = txt.find("<body")
    pos2 = txt.rfind("</body")
    if (pos1 == -1) or (pos2 == -1):
        content.keinHTML = True
    else:
        posBegin = txt.find(">", pos1) + 1
        posEnd = pos2
        content.body = txt[posBegin : posEnd]
        
    # tags aus <body> entfernen
    while (content.body.find("<", 0) >= 0):
        pos1 = content.body.find("<")
        pos2 = content.body.find(">", pos1)
        pos3 = len(content.body) - 1
        S = content.body[0 : pos1] + " " + content.body[pos2 + 1 : pos3]
        content.body = S
      
    # DEBUGGING-Code
    print("RESULT 'parsing()':")
    print("... content.title:", content.title)
    print("... content.body:", content.body)
    print()
    
    # Rückgabe
    return content
